
package cz.upol.pja.lecture06;

import java.util.StringJoiner;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

@WebService(serviceName = "HelloService")
public class HelloService {
    
    @WebMethod
    public String hello(String name) {
        return "Hello " + name;
    }
    
    @WebMethod(operationName = "repeat")
    public String repeatText(
	    @WebParam(name = "text") String text,
	    @WebParam(name = "n") int count) {
	    
        StringJoiner sj = new StringJoiner(", ");
        for (int i = 0; i < count; i++) {
            sj.add(text);
        }
        return sj.toString();
    }    
}
