package cz.upol.pja.lecture06;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("/demo")
public class RestDemo {
    
    @GET
    @Produces(MediaType.TEXT_PLAIN)
    public String helloWorld() {
       return "Hello world";
    }
    
    @GET
    @Path("hello/{name}")
    @Produces(MediaType.TEXT_PLAIN)
    public String helloWorldWithName(@PathParam("name") String name) {
       return "Hello " + name;
    }
    
    
    /*
    @GET
    @Path("hello/{name}/{name2}")
    @Produces(MediaType.TEXT_PLAIN)
    public String helloWorldWithName(
	    @PathParam("name") String name,
	    @PathParam("name2") String name2) {
       return "Hello " + name + " " + name2;
    }
    */
}
